Skip to main content
POST
/
appointments
/
{appointmentId}
/
book
cURL
curl --request POST \
  --url https://consumer.fanfare.io/api/appointments/{appointmentId}/book \
  --header 'Content-Type: application/json' \
  --data '
{
  "slotId": "<string>"
}
'
{
  "appointmentId": "<string>",
  "bookingId": "<string>",
  "confirmationCode": "<string>",
  "consumerId": "<string>",
  "createdAt": "<string>",
  "endTime": "<string>",
  "slotId": "<string>",
  "startTime": "<string>",
  "status": "<string>",
  "locationId": "<string>",
  "locationName": "<string>"
}

Path Parameters

appointmentId
string
required

Body

application/json
slotId
string
required
locationId
string | null

Response

Appointment booked successfully

appointmentId
string
required
bookingId
string
required
confirmationCode
string
required
consumerId
string
required
createdAt
string
required
endTime
string
required
slotId
string
required
startTime
string
required
status
string
required
locationId
string | null
locationName
string | null